package com.jpsoft.shinestar.modules.base.service;

import java.util.List;
import java.util.Map;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.CanteenDevice;
import com.jpsoft.shinestar.modules.common.dto.Sort;
public interface CanteenDeviceService {
	CanteenDevice get(String id);
	boolean exist(String id);
	int insert(CanteenDevice model);
	int update(CanteenDevice model);
	int delete(String id);
	CanteenDevice findByDeviceIdAndCanteenId(String deviceId,String canteenId);
	CanteenDevice findByDeviceId(String deviceId);
	List<CanteenDevice> list();
	Page<CanteenDevice> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);
}